#include <QCoreApplication>
#include <opencv2/opencv.hpp>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    qRegisterMetaType<cv::Mat>("cv::Mat");
    // 设置环境变量
    QString value = "rtsp_transport;udp";
    qputenv("OPENCV_FFMPEG_CAPTURE_OPTIONS", value.toUtf8());
    qputenv("QT_LOGGING_RULES", "qt.network.ssl=true");
    MainWindow w;

    return a.exec();
}
